org.jboss.jca.embedded.dsl.datasources10.api

## Interface ValidationType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ValidationType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `validationType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationType<T>` | `backgroundValidation(java.lang.Boolean backgroundValidation)` Sets the `background-validation` element
    `ValidationType<T>` | `backgroundValidationMillis(java.lang.Integer backgroundValidationMillis)` Sets the `background-validation-millis` element
    `ValidationType<T>` | `checkValidConnectionSql(java.lang.String checkValidConnectionSql)` Sets the `check-valid-connection-sql` element
    `java.lang.Integer` | `getBackgroundValidationMillis()` Returns the `background-validation-millis` element
    `java.lang.String` | `getCheckValidConnectionSql()` Returns the `check-valid-connection-sql` element
    `ExtensionType<ValidationType<T>>` | `getOrCreateExceptionSorter()` If not already created, a new `exception-sorter` element with the given value will be created.
    `ExtensionType<ValidationType<T>>` | `getOrCreateStaleConnectionChecker()` If not already created, a new `stale-connection-checker` element with the given value will be created.
    `ExtensionType<ValidationType<T>>` | `getOrCreateValidConnectionChecker()` If not already created, a new `valid-connection-checker` element with the given value will be created.
    `java.lang.Boolean` | `isBackgroundValidation()` Returns the `background-validation` element
    `java.lang.Boolean` | `isUseFastFail()` Returns the `use-fast-fail` element
    `java.lang.Boolean` | `isValidateOnMatch()` Returns the `validate-on-match` element
    `ValidationType<T>` | `removeBackgroundValidation()` Removes the `background-validation` element
    `ValidationType<T>` | `removeBackgroundValidationMillis()` Removes the `background-validation-millis` element
    `ValidationType<T>` | `removeCheckValidConnectionSql()` Removes the `check-valid-connection-sql` element
    `ValidationType<T>` | `removeExceptionSorter()` Removes the `exception-sorter` element
    `ValidationType<T>` | `removeStaleConnectionChecker()` Removes the `stale-connection-checker` element
    `ValidationType<T>` | `removeUseFastFail()` Removes the `use-fast-fail` element
    `ValidationType<T>` | `removeValidateOnMatch()` Removes the `validate-on-match` element
    `ValidationType<T>` | `removeValidConnectionChecker()` Removes the `valid-connection-checker` element
    `ValidationType<T>` | `useFastFail(java.lang.Boolean useFastFail)` Sets the `use-fast-fail` element
    `ValidationType<T>` | `validateOnMatch(java.lang.Boolean validateOnMatch)` Sets the `validate-on-match` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateValidConnectionChecker

          ExtensionType<ValidationType<T>> getOrCreateValidConnectionChecker()

      If not already created, a new `valid-connection-checker` element with the given value will be created. Otherwise, the existing `valid-connection-checker` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeValidConnectionChecker

          ValidationType<T> removeValidConnectionChecker()

      Removes the `valid-connection-checker` element
      Returns:
        the current instance of `ValidationType`

    - #### checkValidConnectionSql

          ValidationType<T> checkValidConnectionSql(java.lang.String checkValidConnectionSql)

      Sets the `check-valid-connection-sql` element
      Parameters:
        `checkValidConnectionSql` - the value for the element `check-valid-connection-sql`
      Returns:
        the current instance of `ValidationType`

    - #### getCheckValidConnectionSql

          java.lang.String getCheckValidConnectionSql()

      Returns the `check-valid-connection-sql` element
      Returns:
        the node defined for the element `check-valid-connection-sql`

    - #### removeCheckValidConnectionSql

          ValidationType<T> removeCheckValidConnectionSql()

      Removes the `check-valid-connection-sql` element
      Returns:
        the current instance of `ValidationType`

    - #### validateOnMatch

          ValidationType<T> validateOnMatch(java.lang.Boolean validateOnMatch)

      Sets the `validate-on-match` element
      Parameters:
        `validateOnMatch` - the value for the element `validate-on-match`
      Returns:
        the current instance of `ValidationType`

    - #### isValidateOnMatch

          java.lang.Boolean isValidateOnMatch()

      Returns the `validate-on-match` element
      Returns:
        the node defined for the element `validate-on-match`

    - #### removeValidateOnMatch

          ValidationType<T> removeValidateOnMatch()

      Removes the `validate-on-match` element
      Returns:
        the current instance of `ValidationType`

    - #### backgroundValidation

          ValidationType<T> backgroundValidation(java.lang.Boolean backgroundValidation)

      Sets the `background-validation` element
      Parameters:
        `backgroundValidation` - the value for the element `background-validation`
      Returns:
        the current instance of `ValidationType`

    - #### isBackgroundValidation

          java.lang.Boolean isBackgroundValidation()

      Returns the `background-validation` element
      Returns:
        the node defined for the element `background-validation`

    - #### removeBackgroundValidation

          ValidationType<T> removeBackgroundValidation()

      Removes the `background-validation` element
      Returns:
        the current instance of `ValidationType`

    - #### backgroundValidationMillis

          ValidationType<T> backgroundValidationMillis(java.lang.Integer backgroundValidationMillis)

      Sets the `background-validation-millis` element
      Parameters:
        `backgroundValidationMillis` - the value for the element `background-validation-millis`
      Returns:
        the current instance of `ValidationType`

    - #### getBackgroundValidationMillis

          java.lang.Integer getBackgroundValidationMillis()

      Returns the `background-validation-millis` element
      Returns:
        the node defined for the element `background-validation-millis`

    - #### removeBackgroundValidationMillis

          ValidationType<T> removeBackgroundValidationMillis()

      Removes the `background-validation-millis` element
      Returns:
        the current instance of `ValidationType`

    - #### useFastFail

          ValidationType<T> useFastFail(java.lang.Boolean useFastFail)

      Sets the `use-fast-fail` element
      Parameters:
        `useFastFail` - the value for the element `use-fast-fail`
      Returns:
        the current instance of `ValidationType`

    - #### isUseFastFail

          java.lang.Boolean isUseFastFail()

      Returns the `use-fast-fail` element
      Returns:
        the node defined for the element `use-fast-fail`

    - #### removeUseFastFail

          ValidationType<T> removeUseFastFail()

      Removes the `use-fast-fail` element
      Returns:
        the current instance of `ValidationType`

    - #### getOrCreateStaleConnectionChecker

          ExtensionType<ValidationType<T>> getOrCreateStaleConnectionChecker()

      If not already created, a new `stale-connection-checker` element with the given value will be created. Otherwise, the existing `stale-connection-checker` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeStaleConnectionChecker

          ValidationType<T> removeStaleConnectionChecker()

      Removes the `stale-connection-checker` element
      Returns:
        the current instance of `ValidationType`

    - #### getOrCreateExceptionSorter

          ExtensionType<ValidationType<T>> getOrCreateExceptionSorter()

      If not already created, a new `exception-sorter` element with the given value will be created. Otherwise, the existing `exception-sorter` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeExceptionSorter

          ValidationType<T> removeExceptionSorter()

      Removes the `exception-sorter` element
      Returns:
        the current instance of `ValidationType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)